/**
 * @author Thomas Brinkhoff
 */
public class BenannterPunkt2D extends Punkt2D {

	/**
	 * Name des Punktes als zustzliches Attribut.
	 */
	private String name;

	/**
	 * Konstruktor eines Punktes aus zwei Koordinatenwerten und einem Namen.
	 * @param  x  x-Koordinate
	 * @param  y  y-Koordinate
	 * @param  name  name
	 */
	public BenannterPunkt2D (double x, double y, String name) {
		super(x, y);
		this.name = name;
	}

	/**
	 * Vergleicht den Namen dieses Punktes mit dem Namen eines Vergleichspunktes.
	 * @param  p  der Vergleichspunkt
	 * @return  true, wenn die beiden Namen textuell gleich sind
	 */
	public boolean hatGleichenNamen (BenannterPunkt2D p) {
		return name.equals(p.name);
	}

	/**
	 * Gibt eine textuelle Beschreibung zurck.
	 * @return  die Beschreibung
	 */
	public String gebeBeschreibung() {
		return name + ": " + super.gebeBeschreibung();
	}

	/**
	 * Beispielhafte Nutzung
	 */
	public static void main(String[] args) {
		BenannterPunkt2D p3 = new BenannterPunkt2D(4.5,7.0,"Mittelpunkt");
		Punkt2D p1 = p3;
		System.out.println(p1.gebeBeschreibung()); // Ausgabe: Mittelpunkt (4.5,7.0)
	}
}
