/**
 * @author Thomas Brinkhoff
 */
public class Punkt2D {
	
	/**
	 * x-Koordinate; nicht von auen zugreifbar.
	 */
	private double x;
	/**
	 * y-Koordinate; nicht von auen zugreifbar.
	 */
	private double y;
	
	/**
	 * Konstruktor eines Punktes aus zwei Koordinatenwerten.
	 * @param  x  x-Koordinate
	 * @param  y  y-Koordinate
	 */
	public Punkt2D (double x, double y) {
		this.x = x;
		this.y = y;
	}

	/**
	 * Testet, ob das Punktobjekt westlich von einem Vergleichspunkt liegt.
	 * @param  vgl  der Vergleichspunkt
	 * @return  true, falls x-Koordinate kleiner als vgl.x
	 */
	public boolean istWestlichVon (Punkt2D vgl) {
		return x < vgl.x;
	}
	
	/**
	 * Gibt eine textuelle Beschreibung zurck.
	 * @return  die Beschreibung
	 */
	public String gebeBeschreibung() {
		return "(" + x + " , " + y + ")";
	}
	
	/**
	 * Gibt den Nullpunkt zurck.
	 * @return  der Nullpunkt.
	 */
	public static Punkt2D nullpkt() {
		return new Punkt2D (0.0,0.0);
	}
	
	/**
	 * Beispielhafte Nutzung
	 */
	public static void main(String[] args) {
		Punkt2D p1 = new Punkt2D (3.5,4.0);
		Punkt2D p2 = Punkt2D.nullpkt();
		if (p2.istWestlichVon(p1))
			System.out.println (p2.gebeBeschreibung()+" liegt westlich von "+p1.gebeBeschreibung());
	}
}
