import static gdbutil.ConnectionParameters.*;

import java.awt.*;
import java.awt.image.RenderedImage;
import java.sql.*;

import javax.swing.JFrame;
import javax.swing.JPanel;

import oracle.spatial.georaster.JGeoRaster;     // sdogr.jar
import oracle.spatial.georaster.image.GeoRasterImage;
import oracle.sql.NUMBER;

/**
 * Klasse, um GeoRaster anzuzeigen.
 *
 * @author: Thomas Brinkhoff, http://www.geodbs.de/
 */
public class ReadRasterFromGeoRaster {

public static void main (String[] args) {
	try {
		// Verbindung zur Datenbank aufbauen
		//Class.forName("oracle.jdbc.driver.OracleDriver");
		String url = "jdbc:oracle:thin:@" + DBHOST + ":" + DBPORT + ":" + DBNAME;  // JDBC Thin Driver
			// bei JDBC OCI Driver:  "jdbc:oracle:oci:@" + DBSERVICENAME;
		Connection db = DriverManager.getConnection(url, DBUSER, DBPASSWORD);

		// Raster einlesen
		JGeoRaster geoRaster = new JGeoRaster(db,"Raster",new NUMBER(4));
		// Raster zeichnen
		GeoRasterImage grImage = geoRaster.getGeoRasterImageObject();
		final RenderedImage img = grImage.getRasterImage(0);
		JFrame win = new JFrame() {
		};
		JPanel panel = new JPanel () {
			public void paintComponent (Graphics g) {
				Graphics2D g2 = (Graphics2D)g;
				g2.drawRenderedImage(img, null);
			}
		};
		panel.setPreferredSize(new Dimension(img.getWidth(), img.getHeight()));
		win.add(panel);
		win.pack();
		win.setVisible(true);
		db.close();
	}
	// Fehler behandeln
	catch (Exception ex) {
		System.err.println("ReadRasterFromGeoRaster.main: " + ex);
		ex.printStackTrace();
	}
}
}
