/**
 * Beispielsprogramm zur Demonstration der API oracle.spatial.
 *
 * @author: Thomas Brinkhoff
 * @version: 1.00
 */

import static gdbutil.ConnectionParameters.*;

import java.io.*;
import java.sql.*;

import oracle.spatial.util.WKT;

public class SpatialWktExample {

public static void main (String[] args) {
	try {
		// Verbindung zur Datenbank aufbauen
		//Class.forName("oracle.jdbc.driver.OracleDriver");  // ab JDK6 entbehrlich
		String url = "jdbc:oracle:thin:@" + DBHOST + ":" + DBPORT + ":" + DBNAME;  // JDBC Thin Driver
			// bei JDBC OCI Driver:  "jdbc:oracle:oci:@" + DBSERVICENAME;
		Connection db = DriverManager.getConnection(url, DBUSER, DBPASSWORD);

		// Anfrage ausfhren
		Statement statement = db.createStatement();
		String sql = "SELECT * FROM Gemeinden WHERE gkz = 3403000";
		ResultSet result = statement.executeQuery(sql);
		WKT wkt = new WKT();
		if (result.next()) {
			// Attribut "centrum"
			Struct struct = (Struct) result.getObject("centrum");
			byte[] wktPoint = wkt.fromStruct(struct);
			String wktString = new BufferedReader(new InputStreamReader(new ByteArrayInputStream(wktPoint))).readLine();
			System.out.println(wktString);
			System.out.println();
			// Attribut "gebiet"
			struct = (Struct) result.getObject("gebiet");
			byte[] wktPolygon = wkt.fromStruct(struct);
			wktString = new BufferedReader(new InputStreamReader(new ByteArrayInputStream(wktPolygon))).readLine();
			System.out.println(wktString);
		}
		result.close();
		statement.close();
	
		// Verbindung schlieen
		db.close();
	} // try

	// Fehlerbehandlung:
	catch (Exception ex) {
		ex.printStackTrace();
		System.err.println("SpatialWktExample.main: "+ex);
	}
}
}
